.map {
  color: @main-color-text;
  background: url("@{img}upload/map-mobile.jpg") no-repeat 50% 0;
  background-size: cover;
  text-align: center;
  .map-inner {
    height: 40em;
    display: table-cell;
    vertical-align: middle;
  }
  .main-title {
    padding: 1.8em 0 .133em;
  }
  .content {
    line-height: 1.3;
    padding: 0 .556em 1.111em;
  }
  .post-code {
    .size(90%,2.353em);
    margin-bottom: .588em;
    padding: 0 0.824em;
    font-size: 1.7em;
    line-height: 2.353em;
    background: #fff;
    border: 1px solid #ccc;
    .border-radius(3px);
  }
  .btn {
    padding: 0 0.424em;
    border: 1px solid transparent;
  }
}

@media (min-width: @screen-xs-min) {
  .map {
    background: url("@{img}upload/map.jpg") no-repeat;
    .map-inner {
      height: 32em;
    }
    .content {
      padding: 0 1em .95em;
    }
  }
}

@media (min-width: @screen-sm-min) {
  .map {
    .main-title {
      padding: 1.5em 0 .133em;
    }
    .content {
      padding: 0 3.25em 1.5em;
      line-height: 1.5;
    }
    .post-code {
      width: 36%;
      margin-bottom: 0;
    }
    .btn {
      margin-left: 1em;
    }
  }
}
